Skip to Content
kosemdocs
ReferenceAPIAccess profiles

List connection access profiles in project

Lists the access profiles backed by a project connection.

GET
/v1/projects/{project}/connections/{connection}/accessProfiles

Lists the access profiles backed by a project connection.

Authorization

bearer
headerAuthorizationBearer <token>

An access token, or an API key.

Path Parameters

project*string

The project's ID.

Match^prj_[0-7][0-9a-hjkmnp-tv-z]{25}$
connection*string

The connection's ID.

Match^con_[0-7][0-9a-hjkmnp-tv-z]{25}$

Response Body

OK

application/json
  1. response
accessProfiles*array<>

Access profiles backed by the connection that the caller can see.

totalSize*integer

Total number of access profiles backed by the connection.

Formatint32
Example Request
curl -X GET 'https://api.kosem.ai/v1/projects/string/connections/string/accessProfiles'
Example Response
{
  "accessProfiles": [
    {
      "alias": "string",
      "availability": {
        "allProjects": true,
        "projects": [
          "string"
        ]
      },
      "config": {
        "property1": null,
        "property2": null
      },
      "connection": "string",
      "createTime": "2019-08-24T14:15:22Z",
      "description": "string",
      "etag": "string",
      "name": "string",
      "provider": "string",
      "source": "string",
      "state": "ACTIVE",
      "stateReason": "string",
      "updateTime": "2019-08-24T14:15:22Z"
    }
  ],
  "totalSize": 0
}